Skip to main content
`Ctrl`+`K`

# EPSGetTolerances

Gets the tolerance and maximum iteration count used by the `EPS` convergence tests.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetTolerances(EPS eps,PetscReal *tol,PetscInt *maxits)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- tol - the convergence tolerance

- maxits - maximum number of iterations

## Notes

The user can specify `NULL` for any parameter that is not needed.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetTolerances()`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

## Examples

src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex24.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex19.c
src/eps/tutorials/ex7.c
src/eps/tutorials/ex47.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex1.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages